<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TravelCategory
 *
 * @ORM\Table(name="travel_category")
 * @ORM\Entity
 */
class TravelCategory
{
    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=255, nullable=true)
     */
    private $name;

    /**
     * @var string
     *
     * @ORM\Column(name="conversion_code", type="text", length=65535, nullable=false)
     */
    private $conversionCode;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;



    /**
     * Set name
     *
     * @param string $name
     *
     * @return TravelCategory
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set conversionCode
     *
     * @param string $conversionCode
     *
     * @return TravelCategory
     */
    public function setConversionCode($conversionCode)
    {
        $this->conversionCode = $conversionCode;

        return $this;
    }

    /**
     * Get conversionCode
     *
     * @return string
     */
    public function getConversionCode()
    {
        return $this->conversionCode;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
}
